# Configuration file

####################
# block
####################

block {
    I:"Force Brick"=1903
    I:"Force Engine"=1907
    I:"Force Frame"=1909
    I:"Force Infuser"=1902
    I:"Force Leaves"=1905
    I:"Force Slab"=1908
    I:"Force Stairs"=1901
    I:"Force Torch"=1912
    I:"Force Wood"=1904
    I:"Liquid Force"=1911
    I:Machine=1913
    I:Plants=1906
    I:"Power Ore"=1900
}


####################
# client
#===================
# Client-Side options.
####################

client {
    # Note: only for DartCraft flight.  1 = others, 2 = others and self, 3 = others, self and Creative flight
    I:"Flight Particles"=2

    # Client-side option sent to server, if enabled the player's Grinding tools will grind cobble into sand.
    B:"Grind Cobblestone"=true

    # Hides the magic meter at all times, regardless of other settings.
    B:"Hide Magic"=false

    # Time in seconds that the Magic Meter will wait to calculate your maximum magic.  Longer times mean waiting longer to use magic but also a greater chance that your armor can be factored into your max magic. (1-10)
    I:"Meter Delay"=1

    # Amount of particles for Force Pipes.  0 for none, 1 for few, 2 for normal  (Also controls some TileEntities and tools)
    I:"Pipe Particles"=2

    # Render Entities in Force Flasks.
    B:"Render Bottles"=true

    # Only apply Force Armor Speed while sprinting
    B:"Sprint Speed"=false

    # Render Time Particles.
    B:"Time Particles"=true

    # Moves the player's hearts to the top-left part of the screen with the magic meter.  (Note Health could still display if another mod does not adhere to Forge standards.)
    B:"Zelda Hud"=false
}


####################
# entities
#===================
# Entity settings.  Entity IDs should not need to be set unless another mod screws something up.  Cold Cows, Chickens and Pigs can be set to -1 to make them a mod-specific entity (no spawn egg).  This may fix animals transforming incorrectly when sheared.
####################

entities {
    # (0-3)
    I:"Chu Chu Chance"=1
    I:"Chu Chu ID"=0
    I:"Cold Chicken ID"=0
    I:"Cold Cow ID"=0
    I:"Cold Pig ID"=0
    I:"Creeper Tot ID"=0
    B:"Drop Hearts"=true
    B:"Drop Magic"=true
    I:"Ender Tot ID"=0
    I:"Ender Tot Spawn Chance (0-3)"=2

    # Maximum number of ChuChus to spawn at a time. (4-8)
    I:"Max Chus"=6
    I:"Max Ender Tots Per Spawn (1-2)"=1

    # Minimum number of ChuChus to spawn at a time.  They like to spawn in groups.  (1-4)
    I:"Min Chus"=3
}


####################
# hardcore
#===================
# Hardcore settings for players that literally have nothing else to do.
####################

hardcore {
    # Disable the Ender upgrade on Force Swords.
    B:"No Ender Swords"=false

    # Disable all upgrades to Force Armor.
    B:"No Force Armor"=false

    # Disable the Healing upgrade on Force Rods.
    B:"No Healing Rods"=false

    # Disable the Heat upgrade on Force Rods.
    B:"No Heat Rods"=false

    # Disable the Speed upgrade on Force Rods.
    B:"No Speed Rods"=false

    # Disallow the Sturdy upgrade on Force Armor.
    B:"No Sturdy Armor"=false

    # Disallow the Wing upgrade on Force Armor.
    B:"No Wing Armor"=false

    # Disable the Wing upgrade on Force Swords and Power Saws
    B:"No Wing Swords"=false

    # Ender Rods will be bound to a single dimension.
    B:"Picky Ender Rods"=false

    # All Treasure Mechanics will cease to function.  The upgrade will also not be craftable.
    B:"Treasure Disabled"=false
}


####################
# insane
#===================
# Insanely overpowered options added by request.
####################

insane {
    # Force Infusers may be used by players other than their owner.  Unfortunately this will also remove the experience use requirement, regardless of other settings.
    B:"Coop Mode"=false

    # DartCraft Magic is non-existant and all DartCraft implements no longer require/use magic.
    B:"Free Magic"=false

    # Enable the Impervious upgrade which makes Force Tools unbreakable.
    B:"Impervious Upgrade"=false
}


####################
# item
####################

item {
    I:Baconator=6052
    I:Claw=6044
    I:Clipboard=6004
    I:"Cooked Lambchop"=6030
    I:"Crated Force Gems"=6027
    I:Dartpendium=6049
    I:Dusts=6051
    I:"Ender Pack"=6028
    I:"Entity Bottle"=6036
    I:"Force Arrow"=6009
    I:"Force Axe"=6023
    I:"Force Belt"=6035
    I:"Force Boots"=6008
    I:"Force Bow"=6025
    I:"Force Bucket"=6032
    I:"Force Cap"=6005
    I:"Force Container"=6033
    I:"Force Flask"=6037
    I:"Force Gear"=6024
    I:"Force Gem"=6000
    I:"Force Hammer"=6031
    I:"Force Ingot"=6001
    I:"Force Mitts"=6039
    I:"Force Nugget"=6020
    I:"Force Pack"=6012
    I:"Force Pants"=6007
    I:"Force Pickaxe"=6018
    I:"Force Pipe"=6050
    I:"Force Rod"=6015
    I:"Force Shard"=6003
    I:"Force Shears"=6026
    I:"Force Shovel"=6021
    I:"Force Stick"=6022
    I:"Force Sword"=6014
    I:"Force Tome"=6013
    I:"Force Tunic"=6006
    I:"Force Wrench"=6038
    I:Fortune=6011
    I:"Fortune Cookie"=6010
    I:"Golden Power Source"=6002
    I:"Inert Core"=6045
    I:"Loot Bag"=6041
    I:"Magnet Glove"=6042
    I:"Member Card"=6040
    I:"Milk Container"=6034
    I:"Power Drill"=6017
    I:"Power Saw"=6016
    I:"Raw Lambchop"=6029
    I:"Soul Wafer"=6047
    I:Tear=6043
    I:"Tile Box"=6048
    I:"Upgrade Core"=6019
}


####################
# magic
#===================
# Options relating to the Magic Meter and its uses.
####################

magic {
    # Camo implements use magic.
    B:"Camo Magic"=true

    # Damage implements use magic.
    B:"Damage Magic"=true

    # Force Rods will not use or requie magic.
    B:"Emempt Rods"=false

    # Ender implements use magic.
    B:"Ender Magic"=true

    # The Magic Meter recharges at the old Wing Meter's rate.
    B:"Fast Magic"=false

    # Healing implements use magic.
    B:"Heal Magic"=true

    # Heat implements use magic.
    B:"Heat Magic"=true

    # Freezing implements use magic.
    B:"Ice Magic"=true

    # The magic meter will look like the old Wing Meter.
    B:"Old Meter"=false

    # Sight implements use magic.
    B:"Sight Magic"=true

    # Speed implements use magic.
    B:"Speed Magic"=false

    # Force Swords will use magic for upgrades like Damage, Heat and Freezing
    B:"Sword Magic"=false

    # Time implements use magic.
    B:"Time Magic"=true
}


####################
# misc
#===================
# Utilities and miscellaneous options.
####################

misc {
    # Liquid Force will cause Undead entities to drop their current equipment.
    B:"Bane Force"=true

    # Change the amount of Liquid Force used by IForceConsumers (0.5-2.0) (Default: 1.0)
    D:"Consumer Modifier"=1.0

    # Enable smelting of Iron into Dart Iron, which can be used to make Force Ingots more efficiently.
    B:"Dart Iron"=true

    # Enables console output for development purposes only.  Do not enable this.
    B:"Debug Mode"=false

    # Force Armor will be transmutable from leather instead of crafted with Force Ingots.
    B:"Easy Force Armor"=false

    # Ender Arrows can affect players if PVP is enabled.
    B:"Ender Arrow Players"=true

    # Force Flasks ignore monster HP
    B:"Epic Bottles"=false
    D:"Force Gem raw liquid value (0.25 - 1.0)"=0.25

    # Storage Units can be upgraded to hold 108 items (72 if false)
    B:"Large Storage Units"=true
    B:"Normalize Force Tool enchants."=true

    # Ore Chunks will be craftable out of DartCraft Dusts.
    B:"Ore Chunks"=true

    # Ender Rods will not work in combat.
    B:"Picky Ender Rods"=true

    # (No mapping slots to the same key)
    B:"Picky Force Belts"=true

    # Force Rods have a short cooldown
    B:"Rod Cooldown"=false

    # Storage Units do not need the Sturdy upgrade to retain their inventories when broken.
    B:"Super Storage"=true

    # Distance in blocks that upgraded Force torches will run their custom logic.  (4-8)
    I:"Torch distance"=4

    # Number of ticks each upgraded Force Torch will run its custom logic after.  (75 - 200)
    I:"Torch update frequency"=150
}


####################
# plugins
#===================
# Enable or disable external mod integration.
####################

plugins {
    # Allows Flask of Angry Bees to be crafted from unwanted Forestry Drones.
    B:"Angry Bee Flask"=true

    # Assert that Forestry Bronze can be crafted from 3 copper and 1 tin.
    B:"Assert Bronze"=false
    B:"Force Gear BC Quarry Recipe"=true

    # Enable the Force Hammer, a DartCraft version of IC2's Forge Hammer.
    B:"Force Hammer"=true

    # Allow Nether Quartz to be frozen into Certus Quartz.
    B:"Freeze Quartz"=true

    # Disallow Wing Implements in the Twilight Forest.
    B:"No Twiflight"=false

    # Allow IC2 crystals to be crafted from rubies and redstone.
    B:"Ruby Crystals"=true

    # Force Mitts normalize Silverwood Sapling drops.
    B:"Silverwood Surprise"=true

    # Amount of Liquid Force Squeezed from Force Logs, if enabled.  (1 - 1000) (100 = 1/10 bucket)
    I:"Squeeze Amount"=100

    # Allows Liquid Force to be squeezed from Force Logs.
    B:"Squeeze Force"=true
}


####################
# potions
#===================
# DartCraft Potion settings.  Note: disabling a certain potion will also prevent that color of Chu Chu from spawning.
####################

potions {
    # Blue Potion heal amount in hearts (5-20) (Default: 20)
    I:"Blue Amount"=20

    # Enables Blue Potion creation.
    B:"Blue Potion"=true

    # Enables Chateau Notch creation.
    B:"Chateau Notch"=true

    # Duration in seconds of Chateau Notch's persistant magic effect.  (60-300) (Default: 180)
    I:"Chateau Time"=180

    # Allows the use of potions incombat.
    B:"Combat Potions"=true

    # Enables Green Potion creation.
    B:"Green Potion"=true

    # Time in seconds between potion use.  (0-30) (Default: 0)
    I:"Potion Timeout"=0

    # Red Potion heal amount in hearts (5-20) (Default: 20)
    I:"Red Amount"=20

    # Enables Red Potion creation.
    B:"Red Potion"=true
}


####################
# storage
#===================
# DartCraft storage media settings.
####################

storage {
    # Forestry Packs will not be allowed in Force Packs.
    B:"Blacklist Forestry Packs"=true

    # Force Packs will start out with this amount of slots.  (8-40) (Default: 8)
    I:"Initial pack size"=8

    # Time in seconds that Force Packs will check their Item Cards to restock (2-20) (Default: 5)
    I:"Restock Time"=5
}


####################
# time
#===================
# Modify or remove Time Magic effects.  Note that disabling both Sword and Rod upgrades will remove the upgrade altogether.
####################

time {
    # Enables Time Magic (acceleration only) to affect block updates.  (Crop growth, grass spreading etc.)
    B:"Affects Blocks"=true

    # Enables Time Magic (acceleration only) to affect TileEntity updates.  (Furnace smelt speed, IC2 Crop growth,etc.)
    B:"Affects Tiles"=true

    # Enables Time upgrade for Force Rods.
    B:"Enable Rods"=true

    # Enables Time upgrade for Force Swords.
    B:"Enable Swords"=true

    # Upgrade Force Torches with Time.
    B:"Torch Upgrade"=true

    # Only TileEntities that are Force Wrenchable will be sped up.
    B:"Wrenchable Only"=false
}


####################
# upgrades
#===================
# Change upgrade settings.
####################

upgrades {
    # The Treasure Core upgrade is much cheaper.
    B:"Cheap Treasure"=false

    # Max level for Damage Upgrade (2-5) (default: 5)
    I:"Damage Level"=5

    # The Wing upgrade will be given by a feather instead of the Roc's Feather.
    B:"Easy Wing"=false

    # Distance to which players may teleport using Ender Swords (32-96) (Default: 48)
    I:"Ender Distance"=48

    # Experience cost of infuser upgrades.  (0 = none, 1 = 1 level per upgrade, 2 = total material tiers in levels)
    I:"Experience Cost"=1

    # The Heat upgrade will be given by a Fire Resistance Potion instead of Golden Power Source
    B:"Hard Heat"=false

    # The Sturdy upgrade will only be given by Diamond Dust.  If set to false Bricks and Obsidian may be used.
    B:"Hard Sturdy"=true

    # Base Jump Time for Wing Armor (2-5) (Default: 3)
    I:"Jump Time"=3

    # Enable Thaumcraft Repair from Crystal Clusters.
    B:"Repair Enabled"=true

    # If true the Force Infuser requries some experience to use.
    B:"Require Experience"=true

    # Upgrade materials can be required to level Upgrade Tome.  (default: true)
    B:"Require Materials"=true

    # Max level for Speed upgrade (1-5) (default: 5)
    I:"Speed Level"=5

    # Increases the Sturdy reduction coefficient on Force Armor.
    B:"Sturdy Buff"=false

    # The Sturdy upgrade will make players hungry when hit.
    B:"Sturdy Hunger"=true

    # Max level for Sturdy Upgrade (1-3) (default: 2)
    I:"Sturdy Level"=2

    # (0-3) 0 = Enemies can randomly drop Bags, 1 = Enemies can randomly drop cards, 2 = Treasure Needed for Bags, 3 = Treasure needed for cards.
    I:"Treasure Level"=3
}


####################
# worldgen
#===================
# Change how Power Ore generates into the world.
####################

worldgen {
    # 1.0 being as common as the overworld, 1.5 being default. (0.5 - 2.5)
    D:"Nether Ore Frequency"=1.5
    I:"Ore Per Vein (2-6)"=4

    # Changing this key will allow regen to re-run for chunks that have already been regenerated.  (Not recommended)
    S:"Regen Key"=1-1 A

    # If enabled Power Ore will attempt to regenerate in chunks the current Regen Key was not saved to.  (Warning: will work for new chunks as well.
    B:"Regen Ore"=false
    I:"Veins Per Chunk (2-16)"=8
}


####################
# wrench
#===================
# Force Wrench functionality.
####################

wrench {
    # Force Wrenches can only wrench things on the whitelist.  (wrenchables.txt)
    B:"Enable Whitelist"=true

    # Force Wrenches require Liquid Force to pick things up.
    B:"Liquid Wrench"=true
    B:"Log Wrenching"=false

    # Force Wrenches require some magic to use.
    B:"Magic Wrench"=true

    # Allow Force Wrenching of TileEntities with blacklisted items.
    B:"Sierpinski's Wrench"=true
}


